#!/config/sh                              # just and only for syntax highlighting
#********************************************************************************
# qware build environment - qube extension (part of configure)                  *
#                                                                               *
#  Author: Kai Peter, ©2022-present                                             *
# Version: 0.2                                                                  *
# License: ISC                                                                  *
#                                                                               *
# Description: This is the place for developers to extend configure to do real  *
#              package specific stuff not covered by qube. It will be executed  *
#              as the last step. It have to be named 'package.inc'.             *
#********************************************************************************

# get the path of "qemu-system-*", assuming it's in the same folder like qemu-img
bash -c "echo $(dirname `which qemu-img 2>$NIL` 2>$NIL) > ac-qemupath"
grep -q ^/ ac-qemupath
[ $? -ne 0 ] && echo -e "\033[1mUnable to find qemu! Aborting!\033[0m" && exit 1


[ "$D" ] && unset $D
# determine the sudo includedir
printf "Checking for sudoers includedir ... "
# first we get the path of the sudoers file

SUDOERS=`sudo -V | grep '^Sudoers path:' | awk '{print $3;}'`
# second we get the includedir from it
D=`grep ^[@]includedir "$SUDOERS" | awk '{print $2;}'`
[ -d "$D" ] && printf "$D (OK)\n" || \
if [ ! -d "$D" ] ; then
  D="$SUDOERS.d"   # using hard fallback
  printf "not found!\n"
  printf "\t\033[33mWarning: Using hard fallback /etc/sudoers.d\033[0m\n"
fi
echo "$D" > ac-sudodir
unset D

exit
# configure qlibs
cd qlibs && ./configure
